#
# Makefile for libklib include directory
#
# Copyright 2002 Silicon Graphics, Inc. All rights reserved.
#
DEPTH 	= ..

INCDIR  = $(ROOT)/usr/include/lkcd
HFILES  = kl_error.h kl_mem.h kl_stabs.h kl_sym.h kl_task.h kl_typeinfo.h \
	  klib.h dump.h vmdump.h zlib.h

all clean mrproper: default

default: 

headers: 
	mkdir -p $(INCDIR)
	install -m 644 $(HFILES) $(INCDIR)
	(cd asm ; make TOPDIR=$(TOPDIR) ARCH=$(ARCH) headers; cd ..)

exports install: headers

include $(DEPTH)/../Rules.make
